import { FlagsConfig, SfdxCommand } from '@salesforce/command';
import { JsonMap } from '@salesforce/ts-types';
import { CommunityCreateResponse } from '../../../shared/community/defs/CommunityCreateResponse';
/**
 * A command to create a community.
 * This is just an sfdx wrapper around the community create connect endpoint
 */
export declare class CommunityCreateCommand extends SfdxCommand {
    static readonly requiresUsername = true;
    static readonly varargs = true;
    static readonly description: string;
    static readonly examples: string[];
    static readonly flagsConfig: FlagsConfig;
    static readonly validationPatterns: string[];
    run(): Promise<CommunityCreateResponse | Error>;
    protected parseVarargs(args?: string[]): JsonMap;
}
