import { CustomField } from 'jsforce/api/metadata';
export declare class Templates {
    /**
     * Using the given data and visibility, creates the body of a type metadata file
     *
     * @param data
     * @param visibility
     */
    createObjectXML({ label, pluralLabel }: {
        label: string;
        pluralLabel: string;
    }, visibility: string): string;
    /**
     * Using the given data and defaultToString, creates the body for a field file.
     *
     * @param data Record details
     * @param defaultToString If the defaultToString set type to Text for unsupported field types
     */
    createFieldXML(data: CustomField, defaultToString: boolean): string;
    createDefaultTypeStructure(fullName: string, type: string, label: string, picklistValues: string[], decimalplaces?: number): CustomField;
    canConvert(type: string): boolean;
    private getType;
    private getConvertType;
    private getFullName;
    private getDescription;
    private getExternalId;
    private getFieldManageability;
    private getInlineHelpText;
    private getLabel;
    private getRequiredTag;
    private getPrecisionTag;
    private getScaleTag;
    private getLengthTag;
    private getVisibleLines;
    private getDefaultValue;
    private getValueSet;
}
