import { FlagsConfig, SfdxCommand } from '@salesforce/command';
interface FailureMsg {
    shapeId: string;
    message: string;
}
interface DeleteAllResult {
    shapeIds: string[];
    failures: FailureMsg[];
}
export interface OrgShapeDeleteResult extends DeleteAllResult {
    orgId: string;
}
export declare class OrgShapeDeleteCommand extends SfdxCommand {
    static readonly description: string;
    static readonly examples: string[];
    static readonly requiresUsername = true;
    static readonly flagsConfig: FlagsConfig;
    private conn;
    run(): Promise<OrgShapeDeleteResult>;
    protected setExitCode(code: number): void;
    /**
     * Delete all ShapeRepresentation records for the shapeOrg.
     *
     * @return List of SR IDs that were deleted
     */
    private deleteAll;
}
export {};
